#!/usr/bin/env python
#===============================================================================
# title           :GetSubs.py
# description     :This script will create a subs.txt file that contains
# author          :BashBR
# date            :20171231
# version         :0.0.1
# usage           :python GetSubs.py
# First of all you need generate an API Key for YoutubeData V3 and grantee access in  https://console.developers.google.com
#===============================================================================

import time, urllib, json
from urllib.request import Request, urlopen

def getInfo():

	##### MODIFY WHITH YOUT API KEY AND CHANNEL ID #####
	apiKey = ''
	channelId = 'UCOYzL7V6dr7uEP6FEBg1mfQ'
	##### END OF CONFIGURATIONS #####
	
	url = 'https://www.googleapis.com/youtube/v3/channels?part=statistics&id=' + channelId + '&key=' + apiKey
	response = urlopen(url).read().decode('utf-8')
	data = json.loads(response)
	if (data != ''):
		subs = data['items'][0]['statistics']['subscriberCount']
		print(subs)
		f = open('subs.txt', 'w')
		f.write(subs)
		f.close()
	else:
		print("Something went wrong, check your API Key and Channel ID!")
	
# END: def getInfo()

if __name__ == '__main__':
    while 1:
        getInfo()
        # CUSTOM: Sleep for a number of seconds before checking again
        time.sleep(5)
# END: if __name__ == '__main__'